# Snapshot report for `lib/annotate-openapi.test.js`

The actual snapshot is saved in `annotate-openapi.test.js.snap`.

Generated by [AVA](https://avajs.dev).

## annotateOpenAPI solder-2

> Snapshot 1

    {
      components: {
        schemas: {
          ChangeableTapTargetData: {
            properties: {
              api_key: {
                title: 'Api Key',
                type: 'string',
              },
              postgres_database: {
                title: 'Postgres Database',
                type: 'string',
              },
              postgres_host: {
                title: 'Postgres Host',
                type: 'string',
              },
              postgres_password: {
                title: 'Postgres Password',
                type: 'string',
              },
              postgres_port: {
                title: 'Postgres Port',
                type: 'integer',
              },
              postgres_schema: {
                title: 'Postgres Schema',
                type: 'string',
              },
              postgres_username: {
                title: 'Postgres Username',
                type: 'string',
              },
              url: {
                title: 'Url',
                type: 'string',
              },
            },
            title: 'ChangeableTapTargetData',
            type: 'object',
          },
          HTTPValidationError: {
            properties: {
              detail: {
                items: {
                  $ref: '#/components/schemas/ValidationError',
                },
                title: 'Detail',
                type: 'array',
              },
            },
            title: 'HTTPValidationError',
            type: 'object',
          },
          TapTargetData: {
            properties: {
              api_key: {
                title: 'Api Key',
                type: 'string',
              },
              postgres_database: {
                title: 'Postgres Database',
                type: 'string',
              },
              postgres_host: {
                title: 'Postgres Host',
                type: 'string',
              },
              postgres_password: {
                title: 'Postgres Password',
                type: 'string',
              },
              postgres_port: {
                title: 'Postgres Port',
                type: 'integer',
              },
              postgres_schema: {
                title: 'Postgres Schema',
                type: 'string',
              },
              postgres_username: {
                title: 'Postgres Username',
                type: 'string',
              },
              url: {
                title: 'Url',
                type: 'string',
              },
            },
            required: [
              'url',
              'api_key',
              'postgres_host',
              'postgres_port',
              'postgres_database',
              'postgres_username',
              'postgres_password',
              'postgres_schema',
            ],
            title: 'TapTargetData',
            type: 'object',
          },
          ValidationError: {
            properties: {
              loc: {
                items: {
                  type: 'string',
                },
                title: 'Location',
                type: 'array',
              },
              msg: {
                title: 'Message',
                type: 'string',
              },
              type: {
                title: 'Error Type',
                type: 'string',
              },
            },
            required: [
              'loc',
              'msg',
              'type',
            ],
            title: 'ValidationError',
            type: 'object',
          },
        },
        securitySchemes: {
          'API Key': {
            description: `Optional API key for authenticated access.␊
            ␊
            ␊
            Unauthenticated (public) requests are subject to rate limiting. See [pricing](/pricing) for specifics on these rate limits.␊
            ␊
            You can view and manage your API key in the [Dashboard](/dashboard).␊
            ␊
            Be sure to keep your API key secure. Do not share it in publicly accessible areas such as GitHub, client-side code, and so forth.␊
            ␊
            All API requests must be made over HTTPS. Calls made over plain HTTP will fail.`,
            in: 'header',
            name: 'Authorization',
            type: 'apiKey',
          },
        },
      },
      info: {
        contact: {
          email: 'mailto:noahsahar@gmail.com',
          name: 'API Support',
        },
        termsOfService: '/terms',
        title: 'soldersh',
        version: 'v1.0.0',
      },
      openapi: '3.0.2',
      paths: {
        '/nhano0228/soldersh@cfc693bf/activecampaign-postgres/add-data/': {
          post: {
            description: `This endpoint allows the user to add their ActiveCampaign and Postgres data␊
            ␊
            This will allow the user to add their ActiveCampaign and Postgres data.`,
            operationId: 'add_data_activecampaign_postgres_add_data__post',
            parameters: [],
            requestBody: {
              content: {
                'application/json': {
                  schema: {
                    $ref: '#/components/schemas/TapTargetData',
                  },
                },
              },
              required: true,
            },
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Add Data',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/soldersh@cfc693bf/activecampaign-postgres/end-job/': {
          get: {
            description: `This endpoint will end a current running job if there is one␊
            ␊
            This will allow the user to end a job that they have running.␊
            ␊
            Input:␊
            ␊
            * category: "deals | contacts"`,
            operationId: 'end_job_activecampaign_postgres_end_job__get',
            parameters: [
              {
                in: 'query',
                name: 'category',
                required: true,
                schema: {
                  title: 'Category',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'End Job',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/soldersh@cfc693bf/activecampaign-postgres/get-current-running-jobs/': {
          get: {
            description: `Get your current list of running jobs␊
            ␊
            This will let the user retrieve a list of all of his running jobs as well as their current CRON strings.`,
            operationId: 'get_current_running_jobs_activecampaign_postgres_get_current_running_jobs__get',
            parameters: [],
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Get Current Running Jobs',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/soldersh@cfc693bf/activecampaign-postgres/get-data/': {
          get: {
            description: `This endpoint retrieves the information regarding a current user␊
            ␊
            This will allow the user to retrieve data regarding their ActiveCampaign and Postgres data.`,
            operationId: 'get_data_activecampaign_postgres_get_data__get',
            parameters: [],
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Get Data',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/soldersh@cfc693bf/activecampaign-postgres/modify-current-job/': {
          put: {
            description: `This endpoint modifies the CRON string of a current running job␊
            ␊
            This will allow the user to modify a job that they have running.␊
            ␊
            Input:␊
            ␊
            * category: "deals | contacts"␊
            * cron: a valid CRON string`,
            operationId: 'modify_current_job_activecampaign_postgres_modify_current_job__put',
            parameters: [
              {
                in: 'query',
                name: 'category',
                required: true,
                schema: {
                  title: 'Category',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'cron',
                required: true,
                schema: {
                  title: 'Cron',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Modify Current Job',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/soldersh@cfc693bf/activecampaign-postgres/modify-data/': {
          put: {
            description: `This endpoint allows the user to modify their ActiveCampaign and Postgres data␊
            ␊
            This will allow the user to modify their ActiveCampaign and Postgres data. ␊
            Note that the JSON object below does not have to include every field. It can only include the data you want to change.`,
            operationId: 'modify_data_activecampaign_postgres_modify_data__put',
            parameters: [],
            requestBody: {
              content: {
                'application/json': {
                  schema: {
                    $ref: '#/components/schemas/ChangeableTapTargetData',
                  },
                },
              },
              required: true,
            },
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Modify Data',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/soldersh@cfc693bf/activecampaign-postgres/perform-etl-all-data/': {
          get: {
            description: `This endpoint allows the user to transfer both their contacts and deals data from ActiveCampaign to Postgres at once␊
            ␊
            This will allow the user to transfer their ActiveCampaign data to Postgres without specifying category.`,
            operationId: 'perform_etl_all_data_activecampaign_postgres_perform_etl_all_data__get',
            parameters: [],
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Perform Etl All Data',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/soldersh@cfc693bf/activecampaign-postgres/perform-etl-by-category/': {
          get: {
            description: `This endpoint allows the user to perform an ETL transfer between ActiveCampaign and Postgres data by category␊
            ␊
            This will allow the user to transfer their ActiveCampaign data to Postgres by category.␊
            ␊
            Input:␊
            * category: "deals | contacts"`,
            operationId: 'perform_etl_by_category_activecampaign_postgres_perform_etl_by_category__get',
            parameters: [
              {
                in: 'query',
                name: 'category',
                required: true,
                schema: {
                  title: 'Category',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Perform Etl By Category',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/soldersh@cfc693bf/activecampaign-postgres/start-job/': {
          get: {
            description: `This endpoint creates a new job␊
            ␊
            This will allow the user to create an entirely new job if they do not have one running already.␊
            ␊
            Input:␊
            ␊
            * category: "deals | contacts"␊
            * cron: a valid CRON string`,
            operationId: 'start_job_activecampaign_postgres_start_job__get',
            parameters: [
              {
                in: 'query',
                name: 'category',
                required: true,
                schema: {
                  title: 'Category',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'cron',
                required: true,
                schema: {
                  title: 'Cron',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Start Job',
            tags: [
              'Endpoints',
            ],
          },
        },
      },
      security: [
        {
          'API Key': [],
        },
      ],
      servers: [
        {
          url: 'https://ssfy.sh',
        },
      ],
      tags: [
        {
          name: 'Endpoints',
          'x-displayName': 'Endpoints',
        },
      ],
    }

## annotateOpenAPI solder-etl

> Snapshot 1

    {
      components: {
        schemas: {
          ChangeableTapTargetData: {
            properties: {
              api_key: {
                title: 'Api Key',
                type: 'string',
              },
              id: {
                title: 'Id',
                type: 'string',
              },
              postgres_database: {
                title: 'Postgres Database',
                type: 'string',
              },
              postgres_host: {
                title: 'Postgres Host',
                type: 'string',
              },
              postgres_password: {
                title: 'Postgres Password',
                type: 'string',
              },
              postgres_port: {
                title: 'Postgres Port',
                type: 'integer',
              },
              postgres_schema: {
                title: 'Postgres Schema',
                type: 'string',
              },
              postgres_username: {
                title: 'Postgres Username',
                type: 'string',
              },
              url: {
                title: 'Url',
                type: 'string',
              },
            },
            required: [
              'id',
            ],
            title: 'ChangeableTapTargetData',
            type: 'object',
          },
          HTTPValidationError: {
            properties: {
              detail: {
                items: {
                  $ref: '#/components/schemas/ValidationError',
                },
                title: 'Detail',
                type: 'array',
              },
            },
            title: 'HTTPValidationError',
            type: 'object',
          },
          TapTargetData: {
            properties: {
              api_key: {
                title: 'Api Key',
                type: 'string',
              },
              postgres_database: {
                title: 'Postgres Database',
                type: 'string',
              },
              postgres_host: {
                title: 'Postgres Host',
                type: 'string',
              },
              postgres_password: {
                title: 'Postgres Password',
                type: 'string',
              },
              postgres_port: {
                title: 'Postgres Port',
                type: 'integer',
              },
              postgres_schema: {
                title: 'Postgres Schema',
                type: 'string',
              },
              postgres_username: {
                title: 'Postgres Username',
                type: 'string',
              },
              url: {
                title: 'Url',
                type: 'string',
              },
            },
            required: [
              'url',
              'api_key',
              'postgres_host',
              'postgres_port',
              'postgres_database',
              'postgres_username',
              'postgres_password',
              'postgres_schema',
            ],
            title: 'TapTargetData',
            type: 'object',
          },
          ValidationError: {
            properties: {
              loc: {
                items: {
                  type: 'string',
                },
                title: 'Location',
                type: 'array',
              },
              msg: {
                title: 'Message',
                type: 'string',
              },
              type: {
                title: 'Error Type',
                type: 'string',
              },
            },
            required: [
              'loc',
              'msg',
              'type',
            ],
            title: 'ValidationError',
            type: 'object',
          },
        },
        securitySchemes: {
          'API Key': {
            description: `Optional API key for authenticated access.␊
            ␊
            ␊
            Unauthenticated (public) requests are subject to rate limiting. See [pricing](/pricing) for specifics on these rate limits.␊
            ␊
            You can view and manage your API key in the [Dashboard](/dashboard).␊
            ␊
            Be sure to keep your API key secure. Do not share it in publicly accessible areas such as GitHub, client-side code, and so forth.␊
            ␊
            All API requests must be made over HTTPS. Calls made over plain HTTP will fail.`,
            in: 'header',
            name: 'Authorization',
            type: 'apiKey',
          },
        },
      },
      info: {
        contact: {
          email: 'support@saasify.sh',
          name: 'API Support',
        },
        termsOfService: '/terms',
        title: 'solder',
        version: 'v0.1.0',
      },
      openapi: '3.0.2',
      paths: {
        '/nhano0228/solder@40433366/activecampaign-postgres/create-user/': {
          post: {
            operationId: 'create_user_activecampaign_postgres_create_user__post',
            requestBody: {
              content: {
                'application/json': {
                  schema: {
                    $ref: '#/components/schemas/TapTargetData',
                  },
                },
              },
              required: true,
            },
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Create User',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/end-job/': {
          get: {
            operationId: 'end_job_activecampaign_postgres_end_job__get',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'category',
                required: true,
                schema: {
                  title: 'Category',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'End Job',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/get-current-running-jobs/': {
          get: {
            operationId: 'get_current_running_jobs_activecampaign_postgres_get_current_running_jobs__get',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {
                      Advanced: {
                        description: undefined,
                        summary: 'Advanced',
                        value: {
                          uuid: 'sit velit incid',
                        },
                      },
                      Basic: {
                        description: undefined,
                        summary: 'Basic',
                        value: {
                          uuid: 'fugiat dolore ullamco anim adipisicing',
                        },
                      },
                    },
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Get Current Running Jobs',
            tags: [
              'Endpoints',
            ],
            'x-code-samples': [
              {
                label: 'cURL',
                lang: 'bash',
                source: `curl \\␊
                  'http://localhost:5100/nhano0228/solder@40433366/activecampaign-postgres/get-current-running-jobs/?uuid=fugiat%20dolore%20ullamco%20anim%20adipisicing'`,
              },
              {
                label: 'Node.js',
                lang: 'javascript',
                source: `const request = require('request')␊
                const fs = require('fs')␊
                ␊
                const options = {␊
                  url: 'http://localhost:5100/nhano0228/solder@40433366/activecampaign-postgres/get-current-running-jobs/',␊
                  qs: ,␊
                  json: true␊
                }␊
                ␊
                request(options, (error, response, body) => {␊
                  if (error) throw new Error(error)␊
                ␊
                  console.log(body)␊
                })`,
              },
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/get-user/': {
          get: {
            operationId: 'get_user_activecampaign_postgres_get_user__get',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {
                      Advanced: {
                        description: undefined,
                        summary: 'Advanced',
                        value: {
                          uuid: 'sit',
                        },
                      },
                    },
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Get User',
            tags: [
              'Endpoints',
            ],
            'x-code-samples': [
              {
                label: 'cURL',
                lang: 'bash',
                source: `curl \\␊
                  'http://localhost:5100/nhano0228/solder@40433366/activecampaign-postgres/get-user/?uuid=sit'`,
              },
              {
                label: 'Node.js',
                lang: 'javascript',
                source: `const request = require('request')␊
                const fs = require('fs')␊
                ␊
                const options = {␊
                  url: 'http://localhost:5100/nhano0228/solder@40433366/activecampaign-postgres/get-user/',␊
                  qs: ,␊
                  json: true␊
                }␊
                ␊
                request(options, (error, response, body) => {␊
                  if (error) throw new Error(error)␊
                ␊
                  console.log(body)␊
                })`,
              },
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/modify-current-job/': {
          post: {
            operationId: 'modify_current_job_activecampaign_postgres_modify_current_job__post',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'category',
                required: true,
                schema: {
                  title: 'Category',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'cron',
                required: true,
                schema: {
                  title: 'Cron',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Modify Current Job',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/modify-user/': {
          post: {
            operationId: 'modify_user_activecampaign_postgres_modify_user__post',
            requestBody: {
              content: {
                'application/json': {
                  schema: {
                    $ref: '#/components/schemas/ChangeableTapTargetData',
                  },
                },
              },
              required: true,
            },
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Modify User',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/perform-etl-all-data/': {
          post: {
            operationId: 'perform_etl_all_data_activecampaign_postgres_perform_etl_all_data__post',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Perform Etl All Data',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/perform-etl-by-category/': {
          post: {
            operationId: 'perform_etl_by_category_activecampaign_postgres_perform_etl_by_category__post',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'category',
                required: true,
                schema: {
                  title: 'Category',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Perform Etl By Category',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/start-job/': {
          get: {
            operationId: 'start_job_activecampaign_postgres_start_job__get',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'category',
                required: true,
                schema: {
                  title: 'Category',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'cron',
                required: true,
                schema: {
                  title: 'Cron',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Start Job',
            tags: [
              'Endpoints',
            ],
          },
        },
      },
      security: [
        {
          'API Key': [],
        },
      ],
      servers: [
        {
          url: 'https://ssfy.sh',
        },
      ],
      tags: [
        {
          name: 'Endpoints',
          'x-displayName': 'Endpoints',
        },
      ],
    }

## annotateOpenAPI synopsis

> Snapshot 1

    {
      components: {
        schemas: {
          SummarizationItem: {
            additionalProperties: false,
            properties: {
              attributionScore: {
                type: 'number',
              },
              index: {
                type: 'number',
              },
              liScore: {
                type: 'number',
              },
              nodeScore: {
                type: 'number',
              },
              readabilityScore: {
                type: 'number',
              },
              score: {
                type: 'number',
              },
              sentence: {
                $ref: '#/components/schemas/SummarizationSentence',
              },
              tfidfScore: {
                type: 'number',
              },
            },
            type: 'object',
          },
          SummarizationResult: {
            additionalProperties: false,
            properties: {
              abstractive: {
                items: {
                  type: 'string',
                },
                type: 'array',
              },
              extractive: {
                items: {
                  type: 'string',
                },
                type: 'array',
              },
              items: {
                items: {
                  $ref: '#/components/schemas/SummarizationItem',
                },
                type: 'array',
              },
              title: {
                type: 'string',
              },
              topItems: {
                items: {
                  $ref: '#/components/schemas/SummarizationItem',
                },
                type: 'array',
              },
            },
            type: 'object',
          },
          SummarizationSentence: {
            additionalProperties: false,
            properties: {
              actual: {
                type: 'string',
              },
              listItem: {
                type: 'number',
              },
              normalized: {
                type: 'string',
              },
              original: {
                type: 'string',
              },
              tokenized: {
                items: {
                  type: 'string',
                },
                type: 'array',
              },
            },
            type: 'object',
          },
        },
        securitySchemes: {
          'API Key': {
            description: `Optional API key for authenticated access.␊
            ␊
            ␊
            Unauthenticated (public) requests are subject to rate limiting. See [pricing](/pricing) for specifics on these rate limits.␊
            ␊
            You can view and manage your API key in the [Dashboard](/dashboard).␊
            ␊
            Be sure to keep your API key secure. Do not share it in publicly accessible areas such as GitHub, client-side code, and so forth.␊
            ␊
            All API requests must be made over HTTPS. Calls made over plain HTTP will fail.`,
            in: 'header',
            name: 'Authorization',
            type: 'apiKey',
          },
        },
      },
      info: {
        contact: {
          email: 'support@saasify.sh',
          name: 'API Support',
        },
        termsOfService: '/terms',
        title: 'synopsis',
        version: 'v1.0.7',
      },
      openapi: '3.0.2',
      paths: {
        '/dev/synopsis@15f060e3/detail': {
          get: {
            description: `Summarizes the content of any `url` or `input` text.␊
            ␊
            Must provide either `url` or `input`.␊
            ␊
            Returns a more verbose description of the summary and intermediary scoring␊
            for all input content.`,
            operationId: 'detailGET',
            parameters: [
              {
                description: 'Link to website to summarize.',
                in: 'query',
                name: 'url',
                schema: {
                  description: 'Link to website to summarize.',
                  example: 'https://www.theonion.com/everyone-involved-in-pizzas-preparation-delivery-purc-1819564897',
                  type: 'string',
                },
              },
              {
                description: 'Text or HTML to summarize.',
                in: 'query',
                name: 'input',
                schema: {
                  description: 'Text or HTML to summarize.',
                  type: 'string',
                },
              },
              {
                description: 'Title of `input` content.',
                in: 'query',
                name: 'title',
                schema: {
                  description: 'Title of `input` content.',
                  type: 'string',
                },
              },
              {
                description: `Optional number of sentences to produce. Default is to␊
                infer a reasonable number based on the input's length.`,
                in: 'query',
                name: 'numSentences',
                schema: {
                  description: `Optional number of sentences to produce. Default is to␊
                  infer a reasonable number based on the input's length.`,
                  type: 'number',
                },
              },
              {
                description: 'Optional minimum number of sentences to produce.',
                in: 'query',
                name: 'minNumSentences',
                schema: {
                  default: 1,
                  description: 'Optional minimum number of sentences to produce.',
                  type: 'number',
                },
              },
              {
                description: 'Optional maximum number of sentences to produce.',
                in: 'query',
                name: 'maxNumSentences',
                schema: {
                  default: 1000,
                  description: 'Optional maximum number of sentences to produce.',
                  type: 'number',
                },
              },
              {
                description: 'Optional minimum image width when considering images in HTML.',
                in: 'query',
                name: 'minImageWidth',
                schema: {
                  default: 400,
                  description: 'Optional minimum image width when considering images in HTML.',
                  type: 'number',
                },
              },
              {
                description: 'Optional minimum image height when considering images in HTML.',
                in: 'query',
                name: 'minImageHeight',
                schema: {
                  default: 300,
                  description: 'Optional minimum image height when considering images in HTML.',
                  type: 'number',
                },
              },
              {
                description: 'Whether or not to consider source media during summarization.',
                in: 'query',
                name: 'media',
                schema: {
                  default: false,
                  description: 'Whether or not to consider source media during summarization.',
                  type: 'boolean',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {
                      'The Onion': {
                        description: undefined,
                        summary: 'The Onion',
                        value: {
                          url: 'https://www.theonion.com/everyone-involved-in-pizzas-preparation-delivery-purc-1819564897',
                        },
                      },
                    },
                    schema: {
                      additionalProperties: false,
                      properties: {
                        abstractive: {
                          items: {
                            type: 'string',
                          },
                          type: 'array',
                        },
                        extractive: {
                          items: {
                            type: 'string',
                          },
                          type: 'array',
                        },
                        items: {
                          items: {
                            $ref: '#/components/schemas/SummarizationItem',
                          },
                          type: 'array',
                        },
                        title: {
                          type: 'string',
                        },
                        topItems: {
                          items: {
                            $ref: '#/components/schemas/SummarizationItem',
                          },
                          type: 'array',
                        },
                      },
                      type: 'object',
                    },
                  },
                },
                description: 'Success',
              },
              400: {
                description: 'Invalid input',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'detail (GET)',
            tags: [
              'Endpoints',
            ],
            'x-code-samples': [
              {
                label: 'cURL',
                lang: 'bash',
                source: `curl \\␊
                  'https://ssfy.sh/dev/synopsis@15f060e3/detail?url=https%3A%2F%2Fwww.theonion.com%2Feveryone-involved-in-pizzas-preparation-delivery-purc-1819564897'`,
              },
              {
                label: 'Node.js',
                lang: 'javascript',
                source: `const request = require('request')␊
                const fs = require('fs')␊
                ␊
                const options = {␊
                  url: 'https://ssfy.sh/dev/synopsis@15f060e3/detail',␊
                  qs: ,␊
                  json: true␊
                }␊
                ␊
                request(options, (error, response, body) => {␊
                  if (error) throw new Error(error)␊
                ␊
                  console.log(body)␊
                })`,
              },
            ],
          },
        },
        '/dev/synopsis@15f060e3/extract': {
          get: {
            description: 'Extracts the main article content from a webpage or article, in addition to lots of useful metadata.',
            operationId: 'extractGET',
            parameters: [
              {
                description: 'Link to website to process.',
                in: 'query',
                name: 'url',
                required: true,
                schema: {
                  description: 'Link to website to process.',
                  example: 'https://www.theonion.com/everyone-involved-in-pizzas-preparation-delivery-purc-1819564897',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {
                      'The Onion': {
                        description: undefined,
                        summary: 'The Onion',
                        value: {
                          url: 'https://www.theonion.com/everyone-involved-in-pizzas-preparation-delivery-purc-1819564897',
                        },
                      },
                    },
                    schema: {
                      additionalProperties: true,
                      properties: {},
                      type: 'object',
                    },
                  },
                },
                description: 'Success',
              },
              400: {
                description: 'Invalid input',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'extract (GET)',
            tags: [
              'Endpoints',
            ],
            'x-code-samples': [
              {
                label: 'cURL',
                lang: 'bash',
                source: `curl \\␊
                  'https://ssfy.sh/dev/synopsis@15f060e3/extract?url=https%3A%2F%2Fwww.theonion.com%2Feveryone-involved-in-pizzas-preparation-delivery-purc-1819564897'`,
              },
              {
                label: 'Node.js',
                lang: 'javascript',
                source: `const request = require('request')␊
                const fs = require('fs')␊
                ␊
                const options = {␊
                  url: 'https://ssfy.sh/dev/synopsis@15f060e3/extract',␊
                  qs: ,␊
                  json: true␊
                }␊
                ␊
                request(options, (error, response, body) => {␊
                  if (error) throw new Error(error)␊
                ␊
                  console.log(body)␊
                })`,
              },
            ],
          },
        },
        '/dev/synopsis@15f060e3/summarize': {
          get: {
            description: `Summarizes the content of any `url` or `input` text.␊
            ␊
            Must provide either `url` or `input`.␊
            ␊
            Returns the summary as an array of strings / sentences.`,
            operationId: 'summarizeGET',
            parameters: [
              {
                description: 'Link to website to summarize.',
                in: 'query',
                name: 'url',
                schema: {
                  description: 'Link to website to summarize.',
                  example: 'https://www.theonion.com/fun-toy-banned-because-of-three-stupid-dead-kids-1819565691',
                  type: 'string',
                },
              },
              {
                description: 'Text or HTML to summarize.',
                in: 'query',
                name: 'input',
                schema: {
                  description: 'Text or HTML to summarize.',
                  type: 'string',
                },
              },
              {
                description: 'Title of `input` content.',
                in: 'query',
                name: 'title',
                schema: {
                  description: 'Title of `input` content.',
                  type: 'string',
                },
              },
              {
                description: `Optional number of sentences to produce. Default is to␊
                infer a reasonable number based on the input's length.`,
                in: 'query',
                name: 'numSentences',
                schema: {
                  description: `Optional number of sentences to produce. Default is to␊
                  infer a reasonable number based on the input's length.`,
                  type: 'number',
                },
              },
              {
                description: 'Optional minimum number of sentences to produce.',
                in: 'query',
                name: 'minNumSentences',
                schema: {
                  default: 1,
                  description: 'Optional minimum number of sentences to produce.',
                  type: 'number',
                },
              },
              {
                description: 'Optional maximum number of sentences to produce.',
                in: 'query',
                name: 'maxNumSentences',
                schema: {
                  default: 1000,
                  description: 'Optional maximum number of sentences to produce.',
                  type: 'number',
                },
              },
              {
                description: 'Optional minimum image width when considering images in HTML.',
                in: 'query',
                name: 'minImageWidth',
                schema: {
                  default: 400,
                  description: 'Optional minimum image width when considering images in HTML.',
                  type: 'number',
                },
              },
              {
                description: 'Optional minimum image height when considering images in HTML.',
                in: 'query',
                name: 'minImageHeight',
                schema: {
                  default: 300,
                  description: 'Optional minimum image height when considering images in HTML.',
                  type: 'number',
                },
              },
              {
                description: 'Whether or not to consider source media during summarization.',
                in: 'query',
                name: 'media',
                schema: {
                  default: false,
                  description: 'Whether or not to consider source media during summarization.',
                  type: 'boolean',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {
                      'The Onion 1': {
                        description: 'Summarizes an Onion article',
                        summary: 'The Onion 1',
                        value: {
                          url: 'https://www.theonion.com/fun-toy-banned-because-of-three-stupid-dead-kids-1819565691',
                        },
                      },
                      'The Onion 2': {
                        description: 'Summarizes an Onion article',
                        summary: 'The Onion 2',
                        value: {
                          url: 'https://local.theonion.com/plan-to-get-laid-at-dragoncon-2001-fails-1819566152',
                        },
                      },
                      'The Onion 3': {
                        description: 'Summarizes an Onion article',
                        summary: 'The Onion 3',
                        value: {
                          url: 'https://www.theonion.com/everyone-involved-in-pizzas-preparation-delivery-purc-1819564897',
                        },
                      },
                      'Wait But Why': {
                        description: 'Summarizes a blog post',
                        summary: 'Wait But Why',
                        value: {
                          url: 'https://waitbutwhy.com/2015/01/artificial-intelligence-revolution-1.html',
                        },
                      },
                    },
                    schema: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                  },
                },
                description: 'Success',
              },
              400: {
                description: 'Invalid input',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'summarize (GET)',
            tags: [
              'Endpoints',
            ],
            'x-code-samples': [
              {
                label: 'cURL',
                lang: 'bash',
                source: `curl \\␊
                  'https://ssfy.sh/dev/synopsis@15f060e3/summarize?url=https%3A%2F%2Fwww.theonion.com%2Ffun-toy-banned-because-of-three-stupid-dead-kids-1819565691'`,
              },
              {
                label: 'Node.js',
                lang: 'javascript',
                source: `const request = require('request')␊
                const fs = require('fs')␊
                ␊
                const options = {␊
                  url: 'https://ssfy.sh/dev/synopsis@15f060e3/summarize',␊
                  qs: ,␊
                  json: true␊
                }␊
                ␊
                request(options, (error, response, body) => {␊
                  if (error) throw new Error(error)␊
                ␊
                  console.log(body)␊
                })`,
              },
            ],
          },
        },
      },
      security: [
        {
          'API Key': [],
        },
      ],
      servers: [
        {
          url: 'https://ssfy.sh',
        },
      ],
      tags: [
        {
          name: 'Endpoints',
          'x-displayName': 'Endpoints',
        },
      ],
    }

## annotateOpenAPI minimal-http

> Snapshot 1

    {
      components: {
        schemas: {},
        securitySchemes: {
          'API Key': {
            description: `Optional API key for authenticated access.␊
            ␊
            ␊
            Unauthenticated (public) requests are subject to rate limiting. See [pricing](/pricing) for specifics on these rate limits.␊
            ␊
            You can view and manage your API key in the [Dashboard](/dashboard).␊
            ␊
            Be sure to keep your API key secure. Do not share it in publicly accessible areas such as GitHub, client-side code, and so forth.␊
            ␊
            All API requests must be made over HTTPS. Calls made over plain HTTP will fail.`,
            in: 'header',
            name: 'Authorization',
            type: 'apiKey',
          },
        },
      },
      info: {
        contact: {
          email: 'support@saasify.sh',
          name: 'API Support',
        },
        termsOfService: '/terms',
        title: 'minimal-http',
        version: 'v0.1.0',
      },
      openapi: '3.0.2',
      paths: {},
      security: [
        {
          'API Key': [],
        },
      ],
      servers: [
        {
          url: 'https://ssfy.sh',
        },
      ],
      tags: [],
    }
